summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2021-03-02 20:02:58 +0100
committerFlorian Dold <florian@dold.me>2021-03-02 20:02:58 +0100
commit7075d07b688893410c79b515ecb724af53787eda (patch)
tree76a3f33e865441122e6cb2841a1644b0c47a9422
parente29a6603fd830338742d295b426728cfd7c9c4af (diff)
downloadmerchant-7075d07b688893410c79b515ecb724af53787eda.tar.gz
merchant-7075d07b688893410c79b515ecb724af53787eda.tar.bz2
merchant-7075d07b688893410c79b515ecb724af53787eda.zip
run merchant tests from the wallet test suite in 'make check'
-rw-r--r--src/.gitignore3
-rw-r--r--src/testing/Makefile.am7
-rwxr-xr-xsrc/testing/test-merchant-walletharness.sh18
3 files changed, 26 insertions, 2 deletions
diff --git a/src/.gitignore b/src/.gitignore
index 90ea1a04..4f49c073 100644
--- a/src/.gitignore
+++ b/src/.gitignore
@@ -6,4 +6,5 @@
*.log
*.trs
*/__pycache__
-test-* \ No newline at end of file
+test-*
+!test-*.sh
diff --git a/src/testing/Makefile.am b/src/testing/Makefile.am
index fb045996..cad802fb 100644
--- a/src/testing/Makefile.am
+++ b/src/testing/Makefile.am
@@ -6,6 +6,9 @@ if USE_COVERAGE
XLIB = -lgcov
endif
+
+check_SCRIPTS = test-merchant-walletharness.sh
+
lib_LTLIBRARIES = \
libtalermerchanttesting.la
@@ -82,7 +85,9 @@ endif
endif
TESTS = \
- $(check_PROGRAMS)
+ $(check_PROGRAMS) \
+ $(check_SCRIPTS)
+
test_merchant_api_twisted_SOURCES = \
test_merchant_api_twisted.c
diff --git a/src/testing/test-merchant-walletharness.sh b/src/testing/test-merchant-walletharness.sh
new file mode 100755
index 00000000..f3f1d59a
--- /dev/null
+++ b/src/testing/test-merchant-walletharness.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+# This script runs test from the wallet's integration test harness.
+# If the wallet is not installed, the tests are skipped.
+# Only tests from the "merchant" test suite are run.
+
+set -eu
+
+res=0
+taler-wallet-cli testing run-integrationtests --dry --suites merchant 2&>/dev/null || res=$?
+
+if [[ $res -ne 0 ]]; then
+ echo "skipping wallet test harness"
+ exit 77
+fi
+
+
+exec taler-wallet-cli testing run-integrationtests --suites merchant